> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workflow Webhook



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json patch /workflows/v1/workflow-webhooks/{webhook_id}
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/workflow-webhooks/{webhook_id}:
    patch:
      tags:
        - Workflow Webhooks
      summary: Update Workflow Webhook
      operationId: >-
        workflow_service_update_workflow_webhook_v1_workflow_webhooks__webhook_id__patch
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/PydanticObjectId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowWebhookUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowWebhookResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    WorkflowWebhookUpdateRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 150
              minLength: 1
            - type: 'null'
          title: Name
        url:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Url
        actions:
          anyOf:
            - items:
                $ref: '#/components/schemas/WorkflowWebhookAction'
              type: array
            - type: 'null'
          title: Actions
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        bearer_token:
          anyOf:
            - type: string
              maxLength: 2000
            - type: 'null'
          title: Bearer Token
        clear_bearer_token:
          type: boolean
          title: Clear Bearer Token
          default: false
        timeout_seconds:
          anyOf:
            - type: integer
              maximum: 60
              minimum: 1
            - type: 'null'
          title: Timeout Seconds
        max_retries:
          anyOf:
            - type: integer
              maximum: 10
              minimum: 0
            - type: 'null'
          title: Max Retries
        retry_backoff_seconds:
          anyOf:
            - type: integer
              maximum: 300
              minimum: 1
            - type: 'null'
          title: Retry Backoff Seconds
      type: object
      title: WorkflowWebhookUpdateRequest
    WorkflowWebhookResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        url:
          type: string
          title: Url
        actions:
          items:
            $ref: '#/components/schemas/WorkflowWebhookAction'
          type: array
          title: Actions
        enabled:
          type: boolean
          title: Enabled
        has_bearer_token:
          type: boolean
          title: Has Bearer Token
        timeout_seconds:
          type: integer
          title: Timeout Seconds
        max_retries:
          type: integer
          title: Max Retries
        retry_backoff_seconds:
          type: integer
          title: Retry Backoff Seconds
      type: object
      required:
        - id
        - name
        - url
        - actions
        - enabled
        - has_bearer_token
        - timeout_seconds
        - max_retries
        - retry_backoff_seconds
      title: WorkflowWebhookResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowWebhookAction:
      type: string
      enum:
        - workflow_created
        - workflow_updated
        - workflow_deleted
        - workflow_run_started
        - workflow_run_completed
      title: WorkflowWebhookAction
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````